/*
 * 工具类js
 * */
// json to string
function toString(json){
	return JSON.stringify(json);
}
// 关闭当前窗口
function closeWin(){
	api.closeWin({});
}
// 关闭到主窗体
function closeToRoot(){
	api.closeToWin({
	    name: 'root'
	});
}
// 通过非Input标签的onclick事件来提高输入框响应速度
// onclick 前提已经避免了延时300ms
function onFocus(element){
	$api.addCls(element.parentNode,"focus");
	$api.dom(element, 'input').focus();
}
// 打开窗口
function openWin(){
	var name = arguments[0] ? arguments[0] : "";
    var delay = 0;
    if(api.systemType != 'ios'){
        delay = 300;
    }
    api.openWin({
        name: ''+name+'',
        url: ''+name+'.html',
        bounces:false,
        delay: delay,
        pageParam: arguments
    });
}
// 打开窗口
function openWin2(){
	var name = arguments[0] ? arguments[0] : "";
    var delay = 0;
    if(api.systemType != 'ios'){
        delay = 300;
    }
    api.openWin({
        name: ''+name+'',
        url: ''+name+'.html',
        bounces:false,
        delay: delay,
        pageParam: arguments,
        slidBackEnabled:false
    });
}
// 文字提示
function toast(msg){
	api.toast({
    	msg:msg,
    	duration:4000
    });
}
// 打开窗口
function openUrl(url){
    var delay = 0;
    if(api.systemType != 'ios'){
        delay = 300;
    }
    api.openWin({
        name: 'outUrl',
        url: url,
        bounces:false,
        delay: delay
    });
}
// utc时间格式化
function formTime(utcTime){
	var nowTime = new Date().getTime()/1000;
	var str = "";
	if( (nowTime-utcTime)<1800 ){
		str = parseInt( (nowTime-utcTime)/60 )+'分钟前';
	}else{
		var nowDate = new Date(utcTime*1000);
		str = (nowDate.getMonth()+1)+'月'+nowDate.getDate()+'日'+
			nowDate.getHours()+':'+nowDate.getMinutes();
	}
	return str;
}
// utc时间格式化2
function formDate(utcTime){
	var str = "";
	var nowDate = new Date(utcTime*1000);
	str = nowDate.getFullYear()+'年'+(nowDate.getMonth()+1)+'月'+nowDate.getDate()+'日 '+
		nowDate.getHours()+':'+nowDate.getMinutes();
	return str;
}
// utc时间格式化3(16-9-1)
function formDate2(utcTime){
	var str = "";
	var nowDate = new Date(utcTime*1000);
	str = nowDate.getFullYear().toString().substring(2)+'-'+(nowDate.getMonth()+1)+'-'+nowDate.getDate();
	return str;
}
// utc时间格式化3(14:20)
function formTime2(utcTime){
	var str = "";
	var nowDate = new Date(utcTime*1000);
	str = nowDate.getHours()+':'+nowDate.getMinutes();
	return str;
}
// 两种时间格式化
function getLocalTime1(nS) {     
	return new Date(parseInt(nS) * 1000).toLocaleString().replace(/:\d{1,2}$/,' ');
}
function getLocalTime2(nS) { 
	return new Date(parseInt(nS) * 1000).toLocaleString().replace(/年|月/g, "-").replace(/日/g, " "); 
} 
// 保留小数点-兼容所有写法
function numFixed(num,fixnum){
	var changenum=(parseInt(num * Math.pow( 10, fixnum ) + 0.5)/ Math.pow( 10, fixnum )).toString(); 
	var index=changenum.indexOf("."); 
	if(index<0 && fixnum>0){ 
		changenum=changenum+"."; 
		for(i=0;i<fixnum;i++){ 
			changenum=changenum+"0"; 
		} 
	}else { 
		index=changenum.length-index; 
		for(i=0;i<(fixnum-index)+1;i++){ 
			changenum=changenum+"0"; 
		}
	}
	return changenum; 
}
//本地时钟2012年12月03日 17:21:16 星期一
function clockon() {
    var now = new Date();
    var year = now.getFullYear(); //getFullYear getYear
    var month = now.getMonth();
    var date = now.getDate();
    var day = now.getDay();
    var hour = now.getHours();
    var minu = now.getMinutes();
    var sec = now.getSeconds();
    var week;
    month = month + 1;
    if (month < 10) month = "0" + month;
    if (date < 10) date = "0" + date;
    if (hour < 10) hour = "0" + hour;
    if (minu < 10) minu = "0" + minu;
    if (sec < 10) sec = "0" + sec;
    var arr_week = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
    week = arr_week[day];
    var time = "";
    time = year + "年" + month + "月" + date + "日" + " " + hour + ":" + minu + ":" + sec + " " + week;
return time;
    // $("#bgclock").html(time);

    // var timer = setTimeout("clockon()", 200);
}
//本地时钟2012年12月03日 17:21:16 星期一
function data2() {
    var now = new Date();
    var year = now.getFullYear(); //getFullYear getYear
    var month = now.getMonth();
    var date = now.getDate();
    // var day = now.getDay();

    month = month + 1;
    if (month < 10) month = "0" + month;
    if (date < 10) date = "0" + date;

    // var arr_week = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
    // week = arr_week[day];
    var time = "";
    time = year + "-" + month + "-" + date;
    return time;
   

    
}
// 获取当前时间
function getTime(){
	var nowDate = new Date();
	var year = nowDate.getFullYear();
	// var year = nowDate..toLocaleDateString();
	var month = nowDate.getMonth()+1;
	var day = nowDate.getDate();
	var hours = nowDate.getHours();
	var minute = nowDate.getMinutes();
	return year+"年"+month+"月"+day+"日 "+hours+":"+minute;
}
// 计算经纬度距离
function getDistance(lat,lon){
	lat = parseFloat(lat);
	lon = parseFloat(lon);
	var now_lon = parseFloat($api.getStorage('lon'));
	var now_lat = parseFloat($api.getStorage('lat'));
	var a = Math.abs(now_lat-lat);
	var b = Math.abs(now_lon-lon);
//	alert(lat+" "+lon);
	var c = Math.sqrt(a*a+b*b);
	c = numFixed(c/0.009009,2);
	return c;
}
//<div class="aui-toast" style="display:none" id="default">
//      <i class="aui-iconfont aui-icon-check"></i>
//      <div class="aui-toast-content">提交成功</div>
//  </div>
function showDefault(){
    $api.css($api.byId("default"),"display:block");
    setTimeout(function(){
        $api.css($api.byId("default"),"display:none");
    },2000)
}
// 金钱格式化
function fmoney(s, n) //s:传入的float数字 ，n:希望返回小数点几位
{
	n = n > 0 && n <= 20 ? n : 2;
	s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
	var l = s.split(".")[0].split("").reverse(),
	r = s.split(".")[1];
	t = "";
	for(i = 0; i < l.length; i ++ )
	{
		t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
	}
	return t.split("").reverse().join("") + "." + r;
}
// 数组转json
function ArrayToJson(array) {
    var json = "{";
    var i=0;
  	for(var key in array){
  			json+='"'+key+'":"'+array[key]+'",';
		}
	json = json.substring(0,json.lastIndexOf(','));
	json+="}";
	// return json;
    return $api.strToJson(json);
  }

var timeout = false; //启动及关闭按钮  
function time()  
{  
  if(timeout) return;  
  Method();  
  setTimeout(time,1000); //time是指本身,延时递归调用自己,100为间隔调用时间,单位毫秒  
}

//定时器 异步运行 
// function hello(){ 
// alert("hello"); 
// } 
// var t1 = window.setTimeout(hello,1000); //使用方法名字执行方法 
// var t2 = window.setTimeout("hello()",3000);//使用字符串执行方法 
// window.clearTimeout(t1);//去掉定时器  

// function hello(){ 
// alert("hello"); 
// } 
// //重复执行某个方法 
// var t2 = window.setInterval("hello()",1000); 
// //去掉定时器的方法 
// window.clearInterval(t2); 
function isPositiveNum(s){//是否为正整数 
var re = /^[0-9]*[1-9][0-9]*$/ ; 
return re.test(s) 
}
function js(ret){
	return JSON.stringify(ret)
}
//更新会员个人信息
function get_memberinfo(){
        var memberid=$api.getStorage('userid');
        api.ajax({
                url: "http://121.42.159.191/jimao/api.php/Home/Myjimao/memberinfo",
                method: 'post',
                cache: false,
                dataType: 'json',
                data: { values: { userid:memberid} }
            },function(ret, err){
                if (ret.result==1) {
                    $api.setStorage('userinfo',ret.memberinfo);
                    api.sendEvent({
                    name: 'userinfo',
                    });
                }
            });
    }